<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name='viewport' content='width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no'/>
    <link rel="stylesheet" type="text/css" href="/static/css/normalize-8.0.0.css">
    <script>
      !function(e,t){function n(){t.body?t.body.style.fontSize=12*o+"px":t.addEventListener("DOMContentLoaded",n)}function d(){var e=i.clientWidth/10;i.style.fontSize=e+"px"}var i=t.documentElement,o=e.devicePixelRatio||1;if(n(),d(),e.addEventListener("resize",d),e.addEventListener("pageshow",function(e){e.persisted&&d()}),o>=2){var a=t.createElement("body"),s=t.createElement("div");s.style.border=".5px solid transparent",a.appendChild(s),i.appendChild(a),1===s.offsetHeight&&i.classList.add("hairlines"),i.removeChild(a)}}(window,document);
      // 1rem = 75px
      // 10rem = 750px
      // .5rem = 37.5px
      // .4rem = 30px
      // .42ren = 31.5
      // .2rem = 15px
  </script>
	<script type="text/javascript" src="/static/js/falseReport.js"></script>
	<script type="text/javascript" src="/static/js/utils.js"></script>
	<script src="https://cdn.bootcss.com/vConsole/3.2.0/vconsole.min.js"></script>
	<script src="https://cdn.bootcss.com/vue/2.5.16/vue.min.js"></script>
    <script type="text/javascript">new VConsole()</script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/vant@2.5/lib/index.css">
    <script src="https://cdn.jsdelivr.net/npm/vant@2.5/lib/vant.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/better-scroll"></script>
</head>
<body>
    <script>
        (function webpackUniversalModuleDefinition(root, factory) {
          if (typeof exports === 'object' && typeof module === 'object')
            module.exports = factory();
          else if (typeof define === 'function' && define.amd)
            define([], factory);
          else if (typeof exports === 'object')
            exports["Lyric"] = factory();
          else
            root["Lyric"] = factory();
        })(this, function () {
          return /******/ (function (modules) { // webpackBootstrap
    /******/ 	// The module cache
    /******/ 	var installedModules = {};
    /******/
    /******/ 	// The require function
    /******/ 	function __webpack_require__(moduleId) {
    /******/
    /******/ 		// Check if module is in cache
    /******/ 		if (installedModules[moduleId]) {
    /******/ 			return installedModules[moduleId].exports;
                /******/
}
    /******/ 		// Create a new module (and put it into the cache)
    /******/ 		var module = installedModules[moduleId] = {
    /******/ 			i: moduleId,
    /******/ 			l: false,
    /******/ 			exports: {}
                /******/
};
    /******/
    /******/ 		// Execute the module function
    /******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
    /******/
    /******/ 		// Flag the module as loaded
    /******/ 		module.l = true;
    /******/
    /******/ 		// Return the exports of the module
    /******/ 		return module.exports;
              /******/
}
    /******/
    /******/
    /******/ 	// expose the modules object (__webpack_modules__)
    /******/ 	__webpack_require__.m = modules;
    /******/
    /******/ 	// expose the module cache
    /******/ 	__webpack_require__.c = installedModules;
    /******/
    /******/ 	// identity function for calling harmony imports with the correct context
    /******/ 	__webpack_require__.i = function (value) { return value; };
    /******/
    /******/ 	// define getter function for harmony exports
    /******/ 	__webpack_require__.d = function (exports, name, getter) {
    /******/ 		if (!__webpack_require__.o(exports, name)) {
    /******/ 			Object.defineProperty(exports, name, {
    /******/ 				configurable: false,
    /******/ 				enumerable: true,
    /******/ 				get: getter
            /******/
});
                /******/
}
              /******/
};
    /******/
    /******/ 	// getDefaultExport function for compatibility with non-harmony modules
    /******/ 	__webpack_require__.n = function (module) {
    /******/ 		var getter = module && module.__esModule ?
    /******/ 			function getDefault() { return module['default']; } :
    /******/ 			function getModuleExports() { return module; };
    /******/ 		__webpack_require__.d(getter, 'a', getter);
    /******/ 		return getter;
              /******/
};
    /******/
    /******/ 	// Object.prototype.hasOwnProperty.call
    /******/ 	__webpack_require__.o = function (object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
    /******/
    /******/ 	// __webpack_public_path__
    /******/ 	__webpack_require__.p = "";
    /******/
    /******/ 	// Load entry module and return exports
    /******/ 	return __webpack_require__(__webpack_require__.s = 8);
            /******/
})
    /************************************************************************/
    /******/([
    /* 0 */
    /***/ (function (module, exports, __webpack_require__) {

              // Thank's IE8 for his funny defineProperty
              module.exports = !__webpack_require__(3)(function () {
                return Object.defineProperty({}, 'a', { get: function () { return 7; } }).a != 7;
              });


              /***/
}),
    /* 1 */
    /***/ (function (module, exports) {

              module.exports = function (it) {
                return typeof it === 'object' ? it !== null : typeof it === 'function';
              };


              /***/
}),
    /* 2 */
    /***/ (function (module, exports) {

              var core = module.exports = { version: '2.6.11' };
              if (typeof __e == 'number') __e = core; // eslint-disable-line no-undef


              /***/
}),
    /* 3 */
    /***/ (function (module, exports) {

              module.exports = function (exec) {
                try {
                  return !!exec();
                } catch (e) {
                  return true;
                }
              };


              /***/
}),
    /* 4 */
    /***/ (function (module, exports) {

              // https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
              var global = module.exports = typeof window != 'undefined' && window.Math == Math
                ? window : typeof self != 'undefined' && self.Math == Math ? self
                  // eslint-disable-next-line no-new-func
                  : Function('return this')();
              if (typeof __g == 'number') __g = global; // eslint-disable-line no-undef


              /***/
}),
    /* 5 */
    /***/ (function (module, exports, __webpack_require__) {

              var anObject = __webpack_require__(12);
              var IE8_DOM_DEFINE = __webpack_require__(18);
              var toPrimitive = __webpack_require__(20);
              var dP = Object.defineProperty;

              exports.f = __webpack_require__(0) ? Object.defineProperty : function defineProperty(O, P, Attributes) {
                anObject(O);
                P = toPrimitive(P, true);
                anObject(Attributes);
                if (IE8_DOM_DEFINE) try {
                  return dP(O, P, Attributes);
                } catch (e) { /* empty */ }
                if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported!');
                if ('value' in Attributes) O[P] = Attributes.value;
                return O;
              };


              /***/
}),
    /* 6 */
    /***/ (function (module, exports, __webpack_require__) {

              "use strict";


              exports.__esModule = true;

              exports.default = function (instance, Constructor) {
                if (!(instance instanceof Constructor)) {
                  throw new TypeError("Cannot call a class as a function");
                }
              };

              /***/
}),
    /* 7 */
    /***/ (function (module, exports, __webpack_require__) {

              "use strict";


              exports.__esModule = true;

              var _defineProperty = __webpack_require__(9);

              var _defineProperty2 = _interopRequireDefault(_defineProperty);

              function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

              exports.default = function () {
                function defineProperties(target, props) {
                  for (var i = 0; i < props.length; i++) {
                    var descriptor = props[i];
                    descriptor.enumerable = descriptor.enumerable || false;
                    descriptor.configurable = true;
                    if ("value" in descriptor) descriptor.writable = true;
                    (0, _defineProperty2.default)(target, descriptor.key, descriptor);
                  }
                }

                return function (Constructor, protoProps, staticProps) {
                  if (protoProps) defineProperties(Constructor.prototype, protoProps);
                  if (staticProps) defineProperties(Constructor, staticProps);
                  return Constructor;
                };
              }();

              /***/
}),
    /* 8 */
    /***/ (function (module, exports, __webpack_require__) {

              var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__; (function (global, factory) {
                if (true) {
                  !(__WEBPACK_AMD_DEFINE_ARRAY__ = [module, exports, __webpack_require__(6), __webpack_require__(7)], __WEBPACK_AMD_DEFINE_FACTORY__ = (factory),
                    __WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
                      (__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
                    __WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
                } else if (typeof exports !== "undefined") {
                  factory(module, exports, require('babel-runtime/helpers/classCallCheck'), require('babel-runtime/helpers/createClass'));
                } else {
                  var mod = {
                    exports: {}
                  };
                  factory(mod, mod.exports, global.classCallCheck, global.createClass);
                  global.index = mod.exports;
                }
              })(this, function (module, exports, _classCallCheck2, _createClass2) {
                'use strict';

                Object.defineProperty(exports, "__esModule", {
                  value: true
                });

                var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

                var _createClass3 = _interopRequireDefault(_createClass2);

                function _interopRequireDefault(obj) {
                  return obj && obj.__esModule ? obj : {
                    default: obj
                  };
                }

                var timeExp = /\[(\d{2,}):(\d{2})(?:\.(\d{2,3}))?]/g;

                var STATE_PAUSE = 0;
                var STATE_PLAYING = 1;

                var tagRegMap = {
                  title: 'ti',
                  artist: 'ar',
                  album: 'al',
                  offset: 'offset',
                  by: 'by'
                };

                function noop() { }

                var Lyric = function () {
                  function Lyric(lrc) {
                    var hanlder = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : noop;
                    (0, _classCallCheck3.default)(this, Lyric);

                    this.lrc = lrc;
                    this.tags = {};
                    this.lines = [];
                    this.handler = hanlder;
                    this.state = STATE_PAUSE;
                    this.curLine = 0;

                    this._init();
                  }

                  (0, _createClass3.default)(Lyric, [{
                    key: '_init',
                    value: function _init() {
                      this._initTag();

                      this._initLines();
                    }
                  }, {
                    key: '_initTag',
                    value: function _initTag() {
                      for (var tag in tagRegMap) {
                        var matches = this.lrc.match(new RegExp('\\[' + tagRegMap[tag] + ':([^\\]]*)]', 'i'));
                        this.tags[tag] = matches && matches[1] || '';
                      }
                    }
                  }, {
                    key: '_initLines',
                    value: function _initLines() {
                      var lines = this.lrc.split('\n');
                      var offset = parseInt(this.tags['offset']) || 0;
                      for (var i = 0; i < lines.length; i++) {
                        var line = lines[i];
                        var result = timeExp.exec(line);
                        if (result) {
                          var txt = line.replace(timeExp, '').trim();
                          if (txt) {
                            this.lines.push({
                              time: result[1] * 60 * 1000 + result[2] * 1000 + (result[3] || 0) * 10 + offset,
                              txt: txt
                            });
                          }
                        }
                      }

                      this.lines.sort(function (a, b) {
                        return a.time - b.time;
                      });
                    }
                  }, {
                    key: '_findCurNum',
                    value: function _findCurNum(time) {
                      for (var i = 0; i < this.lines.length; i++) {
                        if (time <= this.lines[i].time) {
                          return i;
                        }
                      }
                      return this.lines.length - 1;
                    }
                  }, {
                    key: '_callHandler',
                    value: function _callHandler(i) {
                      if (i < 0) {
                        return;
                      }
                      this.handler({
                        txt: this.lines[i].txt,
                        lineNum: i
                      });
                    }
                  }, {
                    key: '_playRest',
                    value: function _playRest() {
                      var _this = this;

                      var line = this.lines[this.curNum];
                      var delay = line.time - (+new Date() - this.startStamp);

                      this.timer = setTimeout(function () {
                        _this._callHandler(_this.curNum++);
                        if (_this.curNum < _this.lines.length && _this.state === STATE_PLAYING) {
                          _this._playRest();
                        }
                      }, delay);
                    }
                  }, {
                    key: 'play',
                    value: function play() {
                      var startTime = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
                      var skipLast = arguments[1];

                      if (!this.lines.length) {
                        return;
                      }
                      this.state = STATE_PLAYING;

                      this.curNum = this._findCurNum(startTime);
                      this.startStamp = +new Date() - startTime;

                      if (!skipLast) {
                        this._callHandler(this.curNum - 1);
                      }

                      if (this.curNum < this.lines.length) {
                        clearTimeout(this.timer);
                        this._playRest();
                      }
                    }
                  }, {
                    key: 'togglePlay',
                    value: function togglePlay() {
                      var now = +new Date();
                      if (this.state === STATE_PLAYING) {
                        this.stop();
                        this.pauseStamp = now;
                      } else {
                        this.state = STATE_PLAYING;
                        this.play((this.pauseStamp || now) - (this.startStamp || now), true);
                        this.pauseStamp = 0;
                      }
                    }
                  }, {
                    key: 'stop',
                    value: function stop() {
                      this.state = STATE_PAUSE;
                      clearTimeout(this.timer);
                    }
                  }, {
                    key: 'seek',
                    value: function seek(offset) {
                      this.play(offset);
                    }
                  }]);
                  return Lyric;
                }();

                exports.default = Lyric;
                module.exports = exports['default'];
              });

              /***/
}),
    /* 9 */
    /***/ (function (module, exports, __webpack_require__) {

              module.exports = { "default": __webpack_require__(10), __esModule: true };

              /***/
}),
    /* 10 */
    /***/ (function (module, exports, __webpack_require__) {

              __webpack_require__(21);
              var $Object = __webpack_require__(2).Object;
              module.exports = function defineProperty(it, key, desc) {
                return $Object.defineProperty(it, key, desc);
              };


              /***/
}),
    /* 11 */
    /***/ (function (module, exports) {

              module.exports = function (it) {
                if (typeof it != 'function') throw TypeError(it + ' is not a function!');
                return it;
              };


              /***/
}),
    /* 12 */
    /***/ (function (module, exports, __webpack_require__) {

              var isObject = __webpack_require__(1);
              module.exports = function (it) {
                if (!isObject(it)) throw TypeError(it + ' is not an object!');
                return it;
              };


              /***/
}),
    /* 13 */
    /***/ (function (module, exports, __webpack_require__) {

              // optional / simple context binding
              var aFunction = __webpack_require__(11);
              module.exports = function (fn, that, length) {
                aFunction(fn);
                if (that === undefined) return fn;
                switch (length) {
                  case 1: return function (a) {
                    return fn.call(that, a);
                  };
                  case 2: return function (a, b) {
                    return fn.call(that, a, b);
                  };
                  case 3: return function (a, b, c) {
                    return fn.call(that, a, b, c);
                  };
                }
                return function (/* ...args */) {
                  return fn.apply(that, arguments);
                };
              };


              /***/
}),
    /* 14 */
    /***/ (function (module, exports, __webpack_require__) {

              var isObject = __webpack_require__(1);
              var document = __webpack_require__(4).document;
              // typeof document.createElement is 'object' in old IE
              var is = isObject(document) && isObject(document.createElement);
              module.exports = function (it) {
                return is ? document.createElement(it) : {};
              };


              /***/
}),
    /* 15 */
    /***/ (function (module, exports, __webpack_require__) {

              var global = __webpack_require__(4);
              var core = __webpack_require__(2);
              var ctx = __webpack_require__(13);
              var hide = __webpack_require__(17);
              var has = __webpack_require__(16);
              var PROTOTYPE = 'prototype';

              var $export = function (type, name, source) {
                var IS_FORCED = type & $export.F;
                var IS_GLOBAL = type & $export.G;
                var IS_STATIC = type & $export.S;
                var IS_PROTO = type & $export.P;
                var IS_BIND = type & $export.B;
                var IS_WRAP = type & $export.W;
                var exports = IS_GLOBAL ? core : core[name] || (core[name] = {});
                var expProto = exports[PROTOTYPE];
                var target = IS_GLOBAL ? global : IS_STATIC ? global[name] : (global[name] || {})[PROTOTYPE];
                var key, own, out;
                if (IS_GLOBAL) source = name;
                for (key in source) {
                  // contains in native
                  own = !IS_FORCED && target && target[key] !== undefined;
                  if (own && has(exports, key)) continue;
                  // export native or passed
                  out = own ? target[key] : source[key];
                  // prevent global pollution for namespaces
                  exports[key] = IS_GLOBAL && typeof target[key] != 'function' ? source[key]
                    // bind timers to global for call from export context
                    : IS_BIND && own ? ctx(out, global)
                      // wrap global constructors for prevent change them in library
                      : IS_WRAP && target[key] == out ? (function (C) {
                        var F = function (a, b, c) {
                          if (this instanceof C) {
                            switch (arguments.length) {
                              case 0: return new C();
                              case 1: return new C(a);
                              case 2: return new C(a, b);
                            } return new C(a, b, c);
                          } return C.apply(this, arguments);
                        };
                        F[PROTOTYPE] = C[PROTOTYPE];
                        return F;
                        // make static versions for prototype methods
                      })(out) : IS_PROTO && typeof out == 'function' ? ctx(Function.call, out) : out;
                  // export proto methods to core.%CONSTRUCTOR%.methods.%NAME%
                  if (IS_PROTO) {
                    (exports.virtual || (exports.virtual = {}))[key] = out;
                    // export proto methods to core.%CONSTRUCTOR%.prototype.%NAME%
                    if (type & $export.R && expProto && !expProto[key]) hide(expProto, key, out);
                  }
                }
              };
              // type bitmap
              $export.F = 1;   // forced
              $export.G = 2;   // global
              $export.S = 4;   // static
              $export.P = 8;   // proto
              $export.B = 16;  // bind
              $export.W = 32;  // wrap
              $export.U = 64;  // safe
              $export.R = 128; // real proto method for `library`
              module.exports = $export;


              /***/
}),
    /* 16 */
    /***/ (function (module, exports) {

              var hasOwnProperty = {}.hasOwnProperty;
              module.exports = function (it, key) {
                return hasOwnProperty.call(it, key);
              };


              /***/
}),
    /* 17 */
    /***/ (function (module, exports, __webpack_require__) {

              var dP = __webpack_require__(5);
              var createDesc = __webpack_require__(19);
              module.exports = __webpack_require__(0) ? function (object, key, value) {
                return dP.f(object, key, createDesc(1, value));
              } : function (object, key, value) {
                object[key] = value;
                return object;
              };


              /***/
}),
    /* 18 */
    /***/ (function (module, exports, __webpack_require__) {

              module.exports = !__webpack_require__(0) && !__webpack_require__(3)(function () {
                return Object.defineProperty(__webpack_require__(14)('div'), 'a', { get: function () { return 7; } }).a != 7;
              });


              /***/
}),
    /* 19 */
    /***/ (function (module, exports) {

              module.exports = function (bitmap, value) {
                return {
                  enumerable: !(bitmap & 1),
                  configurable: !(bitmap & 2),
                  writable: !(bitmap & 4),
                  value: value
                };
              };


              /***/
}),
    /* 20 */
    /***/ (function (module, exports, __webpack_require__) {

              // 7.1.1 ToPrimitive(input [, PreferredType])
              var isObject = __webpack_require__(1);
              // instead of the ES6 spec version, we didn't implement @@toPrimitive case
              // and the second argument - flag - preferred type is a string
              module.exports = function (it, S) {
                if (!isObject(it)) return it;
                var fn, val;
                if (S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it))) return val;
                if (typeof (fn = it.valueOf) == 'function' && !isObject(val = fn.call(it))) return val;
                if (!S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it))) return val;
                throw TypeError("Can't convert object to primitive value");
              };


              /***/
}),
    /* 21 */
    /***/ (function (module, exports, __webpack_require__) {

              var $export = __webpack_require__(15);
              // 19.1.2.4 / 15.2.3.6 Object.defineProperty(O, P, Attributes)
              $export($export.S + $export.F * !__webpack_require__(0), 'Object', { defineProperty: __webpack_require__(5).f });


              /***/
})
    /******/]);
        });
    </script>
    <style>
        .wrap{width: 100vw;height: 100vh;overflow: hidden;position: relative;}
        .background-wrap{width: 100%;height: 100%;position: absolute;top: 0;left: 0;z-index: -1;background: url() #161824 no-repeat center center;background-size: cover;}
            .background-wrap:before {content: " ";position: absolute;left: 0;right: 0;bottom: 0;top: 0;background-color: rgba(0,0,0,.5);}
        .volume-wrap{padding: .4rem .4rem .2rem;}
            .volume-icon{margin-right: .2rem}
        /* .lrc-wrap{position: absolute;top:2rem;left:0;right:0;bottom:2rem;} */
        .lrc-wrap{position: relative;height: calc(100vh - 3.75rem);}
          .song-controls-wrap{color: #f18821;;font-size: .4rem;position: absolute;top: 50%;transform: translate(0,-50%);left: 0;right: 0;}
            .song-controls-btn{padding: 1rem .2rem;}
          .lrc-scroll-wrapper{height: 100%;overflow: auto;}
          /* .lrc-scroll-content{padding: 50% 0;} */
          .lrc-scroll-wrapper:before{content:''}
          .lrc-scroll-wrapper:after{content:''}
          .lrc-scroll-content{padding: calc((100vh - 3.75rem) / 2) 0;}
            .lrc-scroll-item{white-space: nowrap;line-height: 2;font-size: .3rem;text-align:center;color: RGBA(200,200,200,.5);}
            .lrc-scroll-item.current{color: rgba(200,200,200,1);outline: 1px solid rgba(200,200,200,1)}
            .lrc-scroll-item.refrain{color: rgb(255, 97, 97)}
            .lrc-scroll-item.hover{outline: 1px solid #f00;}
        .audio-controls{width:0;height:0;}
        .progress-wrap{padding: .3rem 0;}
            .progress-time{width:10em;text-align: center;font-size: .4rem;color: #9c9c9c;text-shadow: rgba(255, 255, 255, 0.44) 0px 0px 0px;}
        /* .controls-wrap{padding: 10vw 0;} */



        .flex{display: flex;align-items: center;}
        .flex-justify-center{justify-content: center;}
        .flex-justify-evenly{justify-content: space-evenly;}
        .flex-justify-between{justify-content: space-between;}
        

    </style>
	<div id="app">
        <div class="wrap">
            <div class="background-wrap" :style="{backgroundImage:backgroundImage}"></div>
            <div class="flex volume-wrap">
                <van-icon class="volume-icon" size=".5rem" color="#ccc" name="volume-o" @click="volume = 0"></van-icon>
                <van-slider class="volume-slider" active-color="#ccc" button-size=".3rem"  inactive-color="#888" v-model="volume"></van-slider>
            </div>
            <div class="lrc-wrap"  @touchstart="pause">
                <div class="lrc-scroll-wrapper">
                    <ul class="lrc-scroll-content">
                      <li  
                        v-for="(item, idx) in columns" 
                        class="lrc-scroll-item" 
                        :class="{
                            hover: lyricHover == idx,
                            current: lyricCurrent == idx,
                            refrain: (lyricRefrainIdx!=-1 && lyricRefrainIdx <= idx && lyricCurrent>=idx && (refrainEndBtnTime==null||item.time<refrainEndBtnTime))
                                    || (refrainEndBtnTime && item.time < refrainEndBtnTime && lyricRefrainIdx <= idx)
                          }" 
                        :key="item.tiem+item.txt">{{item.txt}}</li>
                    </ul>
                </div>
                <div class="flex song-controls-wrap flex-justify-between" v-show="audioIsPlayer">
                  <span class="song-controls-btn" @touchstart.stop="switchRefrainState(1)">标记为开始</span>
                  <span class="song-controls-btn" @touchstart.stop="switchRefrainState(0)">标记为结束</span>
                </div>
            </div>
            <div class="flex progress-wrap">
                <span class="progress-time">{{progressCurrentText}}</span>
                <van-slider :value="progressCurrent" @input="progressChange" :max="progressLength"  active-color="#ccc" button-size=".3rem"  inactive-color="#888"></van-slider>
                <span class="progress-time">{{progressLengthText}}</span>
            </div>

            <div class="flex controls-wrap flex-justify-evenly">
                <van-button type="primary" round  :disabled="submitDisabled" @click="submit">提交</van-button>
                <van-icon name="play-circle-o" color="#ccc" v-show="!audioIsPlayer" @click="play" size="1.5rem"></van-icon>
                <van-icon name="pause-circle-o" color="#ccc" v-show="audioIsPlayer" @click="pause" size="1.5rem"></van-icon>
                <van-button type="primary" style="visibility: hidden;" round  size="mini">重置</van-button>
            </div>
            <audio class="audio-controls" autoplay ref="audio" @loadedmetadata="loadedmetadata" @timeupdate="timeupdate" ></audio>
        </div>
    </div>
    <script>
        var playTimeoutTag = 0;
        var songUrl = 'https://www.lilnong.top/static/audio/918c_1958_7d87_022d7d76c923b1caaca6e30ca47d0f69.mp3';
        var songLrcUrl = '';
        var songLrcTxt = '[by:Lucky-SN]\n\
            [00:00.000] 作曲 : 隔壁老樊\n\
            [00:01.000] 作词 : 隔壁老樊\n\
            [04:18.61]制作人：段小林\n\
            [00:07.09]编曲：黄超\n\
            [00:09.07]\n\
            [00:17.67]世界上有很多的东西\n\
            [00:21.36]你生不带来死不带去\n\
            [00:26.01]你能带走的只有自己和自己的脾气\n\
            [00:34.35]你曾拥有最美的爱情\n\
            [00:38.17]你听过最美丽的旋律\n\
            [00:42.57]触摸过一个人孤独的恐惧\n\
            [00:46.30]也看到过最美的风景\n\
            [00:52.49]我跌跌撞撞奔向你\n\
            [01:00.52]你也不能一个人离去\n\
            [01:08.30]我们在一起说过\n\
            [01:12.50]无论如何一起经历了风雨\n\
            [01:16.64]平平淡淡安安静静的老去\n\
            [01:24.56]\n\
            [01:59.08]世界上有很多的东西\n\
            [02:02.65]你生不带来死不带去\n\
            [02:07.38]你能带走的只有自己和自己的脾气\n\
            [02:15.63]你曾拥有最美的爱情\n\
            [02:19.18]你听过最美丽的旋律\n\
            [02:24.04]触摸过一个人孤独的恐惧\n\
            [02:27.44]也看到过最美的风景\n\
            [02:34.40]我跌跌撞撞奔向你\n\
            [02:41.76]你也不能一个人离去\n\
            [02:49.58]我们在一起说过\n\
            [02:53.83]无论如何一起经历了风雨\n\
            [02:58.18]平平淡淡安安静静的老去\n\
            [03:09.02]\n\
            [03:38.87]我们拼命的相拥不给孤独留余地\n\
            [03:48.21]无力 是我们最后难免的结局\n\
            [03:56.28]无力 是我们最后难免的结局\n\
            [04:05.59]鼓手：郝稷伦\n\
            [04:06.89]贝斯：韩阳\n\
            [04:07.97]吉他：黄超\n\
            [04:09.21]和声：樊竹青 赵晨\n\
            [04:10.41]录音师：甄浩\n\
            [04:11.41]混音师：段小林\n\
            [04:12.63]插画：王小洋\n\
            [04:13.95]封面：朱小莉\n\
            [04:15.32]录音室：北京好听音乐录音棚\n\
            [04:16.70]出品：北京好听音乐科技有限公司\n\
            [04:19.61]';
        var songBackgroundUrl = 'music.163.com/api/img/blur/109951164840856331';
        var betterScrollList = null;
        vm = new Vue({
            el: '#app',
            data(){
                return {
                    refrainState: false,
                    volume: 100,
                    audioIsPlayer: false,
                    lyricHover: -1,
                    lyricCurrent: -1,
                    lyricRefrainIdx: -1,
                    backgroundImage: '',
                    progress: 0,
                    progressCurrent: 0,
                    progressLength: 0,
                    refrainEndBtnTime: -1,
                    refrainStartBtnTime: -1,
                    columns: []
                }
            },
            computed: {
                submitDisabled(){
                  if(this.refrainEndBtnTime > this.refrainStartBtnTime){
                    return false
                  }
                  return true
                },
                progressCurrentText(){
                    return `${String(this.progressCurrent/60>>0).padStart(2,'0')}:${String(this.progressCurrent%60>>0).padStart(2,'0')}`
                },
                progressLengthText(){
                    return `${String(this.progressLength/60>>0).padStart(2,'0')}:${String(this.progressLength%60>>0).padStart(2,'0')}`
                },
            },
            watch: {
                volume(){
                    this.$refs.audio.volume = this.volume / 100
                }
            },
            mounted(){
                console.log(this.$refs.audio, this.$refs.audio.duration)
                this.$refs.audio.src="https://www.lilnong.top/static/audio/918c_1958_7d87_022d7d76c923b1caaca6e30ca47d0f69.mp3"
                this.backgroundImage = 'url(//music.163.com/api/img/blur/109951164840856331)';
                var lyric = new Lyric(songLrcTxt);
                console.log(lyric)
                lyric.lines.forEach(v=>{
                    v.time = v.time / 1000
                })
                this.columns = lyric.lines;
                this.$nextTick(()=>{
                    wrapper = document.querySelector('.lrc-scroll-wrapper')
                    betterScrollList = new BScroll(wrapper,{
                        probeType: 2
                    })
                    betterScrollList.on('scroll', ()=>{
                        var idx = Math.min(Math.max(Math.min(betterScrollList.y / betterScrollList.maxScrollY, 1),0) * this.columns.length >> 0, this.columns.length-1);
                        this.pause();
                        this.lyricHover = idx;
                    })
                    betterScrollList.on('scrollEnd', ()=>{
                        if(this.lyricHover != -1){
                            this.lrcpickerchange(document.querySelector('.lrc-scroll-item.hover'), this.columns[this.lyricHover].time)
                            this.lyricHover = -1
                        }
                    })
                })
            },
            methods:{
                play(){
                    clearTimeout(playTimeoutTag)
                    playTimeoutTag = setTimeout(v=>{
                        this.$refs.audio.play()
                    }, 200);
                },
                pause(){
                    clearTimeout(playTimeoutTag)
                    this.$refs.audio.pause()
                    this.$nextTick(v=>{
                        this.audioIsPlayer = false;
                    })
                },
                progressChange(val){
                    this.pause()
                    this.$refs.audio.currentTime = val;
                    this.play();
                },
                loadedmetadata(){
                    this.progressCurrent = this.$refs.audio.currentTime;
                    this.progressLength =  this.$refs.audio.duration;
                    this.volume = this.$refs.audio.volume * 100
                },
                lrcpickerchange(el, time){
                    this.$refs.audio.currentTime = time;
                    this.play()
                },
                submit(){
                  var result = {
                    startTime: this.refrainStartBtnTime,
                    endTime: this.refrainEndBtnTime,
                    list: this.columns.filter(v=>v.time<this.refrainEndBtnTime).slice(this.lyricRefrainIdx).map(v=>JSON.stringify(v))
                  }
                  console.log(result)
                  alert(JSON.stringify(result, null, 4))
                },
                switchRefrainState(state){
                  console.log('switchRefrainState', state)
                  if(state == 1){
                    this.lyricRefrainIdx = this.lyricCurrent
                    this.refrainStartBtnTime = this.$refs.audio.currentTime
                    this.refrainEndBtnTime = null;
                  }else{
                    this.refrainEndBtnTime = this.$refs.audio.currentTime
                  }
                },
                timeupdate(){
                    this.progressCurrent = this.$refs.audio.currentTime;
                    this.audioIsPlayer = true
                    var findItem = (this.columns.findIndex(v=>{
                        return v.time>this.$refs.audio.currentTime
                    }) - 1)
                    this.lyricCurrent = findItem || (this.$refs.audio.currentTime > 10?(this.columns.length - 1 ):0);
                    if(this.lyricRefrainIdx != -1 && this.lyricRefrainIdx>this.lyricCurrent){
                      this.lyricRefrainIdx = -1;
                      this.refrainStartBtnTime = null
                      this.refrainEndBtnTime = null;
                    }
                    betterScrollList.scrollToElement(document.querySelectorAll('.lrc-scroll-item')[this.lyricCurrent], 300, true, true)
                }
            }
        })
    </script>
	<img title="微信公众号-前端linong" alt="微信公众号-前端linong" src="https://www.lilnong.top/static/img/wx-linong.jpg" style="width: 800px;max-width: 100vw;display:block;margin:0 auto;">
	<script>    
		!(function(c,b,d,a){c[a]||(c[a]={});c[a].config={pid:"bthzxo624i@b8098d5c30312f3",imgUrl:"https://arms-retcode.aliyuncs.com/r.png?"};
		with(b)with(body)with(insertBefore(createElement("script"),firstChild))setAttribute("crossorigin","",src=d)
		})(window,document,"https://retcode.alicdn.com/retcode/bl.js","__bl");
	</script>
	<script>
		var _hmt = _hmt || [];
		(function() {
		  var hm = document.createElement("script");
		  hm.src = "https://hm.baidu.com/hm.js?0b53b11d3930be87062f66b4b8ce2822";
		  var s = document.getElementsByTagName("script")[0]; 
		  s.parentNode.insertBefore(hm, s);
		})();
	</script>
</body>
</html>